/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */


/* Fixes annoying lack of spacing after lists */
.elementor-tab-content ul, 
.elementor-widget-text-editor ul {
  margin-bottom: 15px;
	
}

/* Blockquote styles */

blockquote {
	padding: 20px 50px;
    background: #90C6C2;
    color: #fdf9f3;
    font-style: italic;
    font-size: 1.3em;
    line-height: 1.5em;
    border-radius: 2px 50px;
    margin-left: 0px;
	width: fit-content;
}

blockquote p {
	margin-bottom: 0px;
}

/* Bullet lists for some reason don't have spacing at the bottom which makes it annoying if you want to keep typing after a list, beacause a line break is not the same size as the default paragraph spacing, so this fixes that.  */ 
.elementor-widget-text-editor ul {
	margin-bottom: 15px;
}

/* Without this, the spacing is weird on dropdown menu items */
ul.elementor-nav-menu--dropdown a {
	border-left: none!important;
}

/* Changes the color of the dropdown arrows indicating more menu items */
.elementor-nav-menu--dropdown a svg {
	fill: #fcf9f3;
}

/* Drop shadow for wave dividers in the hero sections */
.shape-shadow .elementor-shape {
	filter: drop-shadow(0px 0px 19px #00000073);
}

/* There's always a weird line that appears at the bottom when I apply the above shadow to a shape divider, so this is just to cover that up like a bandaid */
.shape-shadow:after {
    content: '';
    position: absolute;
    height: 4px;
    width: 100%;
    bottom: -2px;
    background: #E7F7F1;
}

.consult-button a {
		background: #EC7F7F;
		color: #fdf9f3 !important;
		border-radius: 3px;
		padding: 10px 20px !important;
		margin-left: 10px !important;
	}

.consult-button:hover a {
	background: #E76969!important;
}

.desktop-hide {display:none;}

@media screen and (max-width:1024px) {

}

@media screen and (max-width:1024px) {

	/* just some spacing at the top and bottom of the dropdown menu */
	.elementor-nav-menu--dropdown ul {
		padding: 30px 0px;
	}
	
	/* Right aligns menu items on mobile */
	.elementor-nav-menu__text-align-center .elementor-nav-menu--dropdown .elementor-nav-menu a {
		justify-content: flex-end!important;
	}
	
	/* Compensates for the additional space that menu items with dropdown arrows have so that all the top-level menu text is aligned */
	.elementor-nav-menu li:not(.menu-item-has-children) a,
	.elementor-nav-menu .sub-menu li a {
		padding-right: 45px!important;
	}
	
	
	/* gets rid of blockquote margin as screens get smaller to maximize space */
	blockquote {
		margin-right: 0px;
	}
	
	/* Adjusts consult button on mobile */
	.elementor-nav-menu li.consult-button a {
		  background: #FFF;
		  color: #2b2927 !important;
		  padding: 10px 30px !important;
		  margin-left: auto!important;
		  width: fit-content;
		  margin-right: 20px;
	}
}

@media screen and (max-width:479px) {
	
	/* Adds shadow to the hero section text once the white background is activated on mobile */
	.header-text-container {
		box-shadow: 0px 0px 19px 0px rgba(0, 0, 0, 0.45);
	}

	/* Reduces blockquote text and and padding on mobile */
	blockquote {
		padding: 20px 40px;
		font-size: 1em;
	}
	
}